Subject: Re: [therightkey] Comments on -> Re: WG Review: Public Notary, Transparency (trans)

From: =JeffH <[email-masked]>
Date: Fri, 24 Jan 2014 10:55:02 -0800

> On 24 January 2014 18:29, Paul Lambert <[email-masked]> wrote:
 >>
 >> Comments on draft Public Notary Transparency:
 >>
 >>  - ŒTransparent Public Notary¹ would be better for a group name
 >>    and match the new charter more closely (versus original charter
 >>    was making an existing service Transparent)
 >>
 >>  - charter is too public key focused. A Merkle Hash Tree can support
 >>    a notary-like facility for any information that can be hashed
 >>    Suggest changing paragraph two to use current examples but
 >>    add a non-public key example and down-play public keys as just an
 >> example
 >>
 >>  - Is ŒPublic¹ necessary in the title and as a goal?
 >>    A ŒTransparent Notary¹ could be public or private.  Enterprise or
 >> private
 >>    applications could readily benefit from notary functions.
 >>    suggest removing public from title and add a sentence in scope
 >>    describing public an private applications.
 >
 > The focus on public keys is deliberate. As the second work item says,
 > WG would re-charter for transparency of other things. This is because
 > it turns out that whilst there's clearly a general mechanism, there's
 > a lot of details that may change depending on what exactly is being
 > logged.

+1

 >
 >>
 >>  - word-smithing for readability would be beneficial. Especially
 >>    the introduction to better capture the groups new focus.
 >>
 >> Paul
 >>
 >>
 >>

---

From: Paul Lambert <[email-masked]>
Date: Fri, 24 Jan 2014 12:51:14 -0800

] > The focus on public keys is deliberate. As the second work item says,
]> WG would re-charter for transparency of other things. This is because
]> it turns out that whilst there's clearly a general mechanism, there's
]> a lot of details that may change depending on what exactly is being  >
]logged.
]
]+1
Ok - makes sense. No objections to a narrower focus when a path 
is planned for later growth.  

This does make the activity clearly an alternative PKI with
a distributed registration than a pure notary.  It is still a
registration model (versus full non-hierarchical), but 
more transparent.

Paul

PS - my apologies for the funky embedded characters due to
MS Office (on MAC) in text mode. Will transfer to a new 
email address soon and client.